Aviso de seguridad de Debian

DSA-372-1 netris -- desbordamiento de buffer

Fecha del informe:
16 de ago de 2003
Paquetes afectados:
netris
Vulnerable:
Referencias a bases de datos de seguridad:
En la base de datos de Bugtraq (en SecurityFocus): Id. en BugTraq 8400.
En el diccionario CVE de Mitre: CVE-2003-0685.
Información adicional:

Shaun Colley descubrió un vulnerabilidad de desbordamiento de buffer en netris, una versión de red del popular juego tipo puzzle. Un cliente netris que se conectara a un servidor netris poco fiable podría recibir un paquete de datos excesivamente largo, que se intentaría copiar en un buffer de longitud fija sin comprobar los límites de dicho buffer. Esta vulnerabilidad se podría aprovechar para obtener los privilegios del usuario que estuviera corriendo netris en modo cliente, siempre que se conectara a un servidor netris hostil.

Para ls distribución estable actual (woody), este problema se ha corregido en la versión 0.5-4woody1.

Para la distribución inestable (sid), este problema se ha corregido en la versión 0.52-1.

Le recomendamos que actualice el paquete netris.

Arreglado en:

Debian GNU/Linux 3.0 (woody)

Fuentes:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1.dsc
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1.diff.gz
http://security.debian.org/pool/updates/main/n/netris/netris_0.5.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/n/netris/netris_0.5-4woody1_sparc.deb

Las sumas MD5 de los ficheros que se listan están disponibles en el aviso original.